Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01686 Graphics Minor Always Apr 7, 2008, 18:51 Apr 22, 2008, 08:51
Tester robiza View Status Public Platform
Assigned To nicolasa Resolution Fixed OS
Status [?] Resolved Driver m62.cpp
Version 0.124u1 Fixed in Version 0.124u4 Build
Summary 01686: ldrun3, ldrun3j: visible area problem
Description when the screen scroll up there're graphic glitc at the bottom of the screen

probably the visible area is:
MDRV_SCREEN_VISIBLE_AREA((64*8-384)/2, 64*8-(64*8-384)/2-1, 0*8, 31*8-1)
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version 0.124u1
Affected Sets / Systems ldrun3, ldrun3j
Attached Files
png file icon 0008.png (8,175 bytes) Apr 7, 2008, 20:14
gif file icon ldrun3jp.gif (29,767 bytes) Apr 21, 2008, 19:23
Relationships
related to 01469Resolvednicolasa ldrun2: The PCB shows more graphics at the bottom of the screen. 
Notes
5
User avatar
No.00744
nicolasa
Developer
Apr 20, 2008, 09:28
The visible area was changed to fix #1469. Since that one is verified on PCB, and the two games most likely run on the same PCB, I have to assume that the visible area in ldrun3 is correct unless a test on the real PCB proves otherwise.
User avatar
No.00747
Stefan Lindberg
Senior Tester
Apr 20, 2008, 11:35
edited on: Apr 20, 2008, 11:38
I have a "LDRUN3JP" PCB... it's just too bad i can't record any video of it since no IREM (m62) games sync with my capturecard but i could try to explain with words :-)

At the title there is a black border at the bottom both MAME and PCB does this so it's correct so far but then on the PCB just before the scrolling upwards begin the topmost graphics "one bricklayer" disapear and nothing is added at the bottom so the visible area is small and it's not until the scrolling is complete that the whole screen fills with graphics "top and bottom bricklayer graphics" is added.

I hope this explanation is understandable? :-)
User avatar
No.00756
nicolasa
Developer
Apr 21, 2008, 17:31
I don't understand sorry. Could you please try to reexplain what's different between MAME and PCB?
User avatar
No.00757
Stefan Lindberg
Senior Tester
Apr 21, 2008, 19:26
I have uploaded an animated gif to show how the PCB behaves.
Just before the scrolling begin the top graphics disapear, so when it scrolls there is no graphics shown at bottom and top where the black areas are and it is filled only when the scrolling ends.
User avatar
No.00759
nicolasa
Developer
Apr 22, 2008, 08:51
thanks, it appears that the hardware can control masking of the top and bottom rows.